REMOVE(3)

NAME
remove - remove a file

SYNOPSIS
#include <u.h>
#include <libc.h>

int remove(char *file)

DESCRIPTION
Remove removes file from the directory containing it and discards the contents of the file. The user must have write permission in the containing directory. If file is a directory, it must be empty.

SOURCE
/usr/local/plan9/src/libc/9syscall

SEE ALSO
intro(3), remove(5), the description of ORCLOSE in open(3).

DIAGNOSTICS
Sets errstr.